Subject: Re: bug#66424: [PATCH core-updates] gnu: libxkbcommon: Fix cross-compile.
From: John Kehayias <[email-masked]>
To: [email-masked]
Cc: Marius Bakke <[email-masked]>, Efraim Flashner <[email-masked]>, Maxim Cournoyer <[email-masked]>, [email-masked]
Date: Mon, 16 Oct 2023 02:28:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

cc'ing Efraim too, since...

On Sun, Oct 15, 2023 at 01:30 AM, [email-masked] wrote:

>> 在 2023年10月13日，22:50，Maxim Cournoyer <[email-masked]> 写道：
>>
>>
>> On the top of my head, I thought pkg-config-for-build had been obsolete
>> by the pkg-config symbol being dynamically bound to something that makes
>> sense for the context it's used in, via some macro trickery.  I may have
>> misunderstood things
>
> For cross build,
>
> pkg-config -> xxxx-pkg-config
> pkg-config-for-build -> pkg-config
>
> libxkbcommon require wayland-scanner to generate c file, this is why
> need pkg-config-for-build, pkg-config is require by find library. Is
> different ,so libxkbcommon need both on cross build.

looks like the same change was made on master in
bc1634a197dc9ab7aa0dead8c7449bb5db09cea6. Along with other commits
then to do the same thing to other similar packages.

So, I'm closing as I believe this is done but figured I'd loop in
Efraim in case there was anything else on this matter to discuss.

Thanks all!
John